busybox (1:1.38.0-3ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Prefer busybox cmds over klibc cmds where there is duplication.
    - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Copy certs and openssl config for the casper+busybox-initramfs case.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
    - d/p/fix-start-stop-daemon-rust-coreutils.patch:
      rust-coreutils disallows running an executable by a different
      name. This leads to "start-stop-daemon with both -x and -a"
      to fail as it attempts to run /bin/false under a different
      name, qwerty. Patch test to use the same executable as the
      test does not check argv[0] difference

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 17 Aug 2026 14:13:52 +0200

busybox (1:1.38.0-3) unstable; urgency=medium

  * fix 4 (minor) security issues (Closes: #1142472):
    - ash-fix-out-of-bounds-read-in-ifsbreakup-CVE-2026-38754.patch
    - ash-fix-stack-overflow-in-evalfun-CVE-2026-38755.patch
    - awk-fix-stack-overflow-in-evaluate-CVE-2026-38752.patch
    - awk-fix-use-after-free-in-awk_sub-CVE-2026-38753.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 26 Jul 2026 08:53:18 +0300

busybox (1:1.38.0-2) unstable; urgency=medium

  * d/copyright: convert to DEP-5 format (initial)
  * d/busybox-syslogd.init: use full /usr/bin path to interpreter
  * d/busybox-syslogd.lintian-overrides, d/udhcpd.lintian-overrides:
    fix overrides about #! interpreters in init scripts
  * swaponoff-FreeBSD-support.patch, u-mount-FreeBSD-support.patch:
    remove (unused for long time, kfreebsd is gone meanwhile)
  * coreutils-cut.c-typo-fix-delimeter.patch: fix typo
  * d/control: Standards-Version: 4.7.4 (no changes)
  * d/control: remove now-redundrand R3: no & Priority: options
  * remove debian-installer-env-hack patch: and the revert of upstream commit.
    The only actual difference for the d-i was the set builtin, which usage
    is now fixed in preseed package.  Restore status quo for regular builds.
    See https://lists.debian.org/debian-boot/2026/07/msg00057.html
  * ash-omit-variables-with-invalid-names-in-showvars.patch: fix the `set'
    builtin to omit showing environment variables with invalid names entirely

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 25 Jul 2026 14:43:36 +0300

busybox (1:1.38.0-1) unstable; urgency=medium

  * new upstream release (1.38.0)
  * remove patches which are now included
  * install-readlink-in-bin.patch: remove,
    usr/bin => bin move is irrelevant these days
  * update configs (sha384sum lsblk uuidgen vmstat; yescrypt)
    deb, static:
     enable --version
     enable new applets: sha384sum, lsblk, uuidgen, vmstat, test tls server
     enable internal yescrypt
       (we can probably switch to libcrypt for deb entirely)
    udeb:
     enable sha384sum
  * two patches to fix upstream testsuite (echo, printf => $ECHO):
    cpio-tests-echo.diff, ls-tests-printf.diff

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 11 Jun 2026 15:15:56 +0300

busybox (1:1.37.0-10.1ubuntu3) stonking; urgency=medium

  * d/tree/usr/share/initramfs-tools/hooks/zz-busybox:
    Add missing bracket. This is a follow-up from an incorrectly fixed merge.
  * Remove the busybox-initramfs package. It is smaller than the busybox
    package, but the size of busybox + glibc is a tiny fraction of Ubuntu's
    initrd. Carrying this busybox delta in Ubuntu is not worth the effort.
    (LP: #2157328)
  * Remove static-sh alias name for ash. Several components in the initrd rely
    on a working glibc. Users could use busybox-static or the stand-alone
    shell (sash) for recovery.
  * Drop test-bin.patch: Move test and friends to /bin is not needed any more
    because the systems are usr-merged.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jul 2026 11:55:16 +0200

busybox (1:1.37.0-10.1ubuntu2) stonking; urgency=medium

  * d/tree/usr/share/initramfs-tools/hooks/zz-busybox:
    remove stray closing bracket. This was leftover from an incorrect merge.
    Caused an autopkgtest r-dep regression in `initramfs-tools`. LP: #2156784

 -- John Chittum <john.chittum@canonical.com>  Mon, 15 Jun 2026 11:27:30 -0400

busybox (1:1.37.0-10.1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. (LP: #2153290) Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      + Add dirname from coreutils to the initramfs
      + Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      + Enable TLS in initramfs flavour of wget applet, requires openssl
      + d/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      + Prefer busybox cmds over klibc cmds where there is duplication.
      + Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      + d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      + Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
        + archival-disallow-path-traversals-*.patch adds a new feature that was
          not configured in d/config/pkg/initramfs as busybox-initramfs is an
          Ubuntu only package. Adds in the default config to to the initramfs
          conf.
    - d/p/fix-start-stop-daemon-rust-coreutils.patch
       rust-coreutils disallows running an executable by a different
       name. This leads to "start-stop-daemon with both -x and -a"
       to fail as it attempts to run /bin/false under a different
       name, qwerty. Patch test to use the same executable as the
       test does not check argv[0] difference
    - d/busybox-static.links fix link location
    - d/busybox-static.links updated to be in usr/bin instead of bin.
      (LP #2139160)

 -- John Chittum <john.chittum@canonical.com>  Thu, 21 May 2026 09:05:38 -0400

busybox (1:1.37.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2026-26157: Incomplete path sanitization in archive
    extraction utilities
  * CVE-2026-26158: File modification outside of the intended
    extraction directory in tar
  * (Closes: #1127782)

 -- Adrian Bunk <bunk@debian.org>  Wed, 04 Mar 2026 19:42:01 +0200

busybox (1:1.37.0-10) unstable; urgency=medium

  * Revert "initramfs-tools/conf-hooks.d/busybox:
            remove, initramfs-tools do not use $BUSYBOXDIR anymore"
    As it turns out, it *is* used still.
    (Closes: #1126810, #1126809)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 Feb 2026 11:25:51 +0300

busybox (1:1.37.0-9) unstable; urgency=medium

  * netstat-sanitize-argv0-for-p-CVE-2024-58251.patch (Closes: #1104009)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 Feb 2026 19:52:47 +0300

busybox (1:1.37.0-8) unstable; urgency=medium

  * awk.c-fix-CVE-2023-42366-bug-15874.patch (Closes: #1059053)
  * wget-disallow-control-chars-in-URLs-CVE-2025-60876.patch (Closes: #1120795)
  * two patches (one from upstream and missing hunk) to fix CVE-2025-46394:
    archival-libarchive-sanitize-filenames-on-output-CVE-2025-46394.patch
    archival-libarchive-sanitize-filenames-on-output-CVE-2025-46394-2.patch
    (Closes: #1104008)
  * config: deb,static: enable resize applet
  * initramfs-tools/conf-hooks.d/busybox: remove,
    initramfs-tools don't use $BUSYBOXDIR anymore
  * initramfs-tools/hooks/zz-busybox:
    print applets added to initramfs in verbose mode

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 Feb 2026 19:29:24 +0300

busybox (1:1.37.0-7ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. (LP: #2130136) Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
  * New Changes
    - d/config/pkg/initramfs: archival-disallow-path-traversals-*.patch adds a new
      feature that was not configured in d/config/pkg/initramfs as busybox-initramfs
      is an Ubuntu only package. Adds in the default config to to the initramfs conf.
    - d/p/fix-start-stop-daemon-rust-coreutils.patch
       rust-coreutils disallows running an executable by a different
       name. This leads to "start-stop-daemon with both -x and -a"
       to fail as it attempts to run /bin/false under a different
       name, qwerty. Patch test to use the same executable as the
       test does not check argv[0] difference
    - busybox-static.links updated to be in usr/bin instead of bin.
      (LP: #2139160)

 -- John Chittum <john.chittum@canonical.com>  Wed, 14 Jan 2026 10:50:37 -0500

busybox (1:1.37.0-7) unstable; urgency=medium

  * patches/archival-disallow-path-traversals-CVE-2023-39810.patch
    (Closes: #1055307, CVE-2023-39810)
  * archival-disallow-path-traversals-CVE-2023-39810.patch:
    use the correct "echo" when constructing the archive
  * d/config/pkg/* CONFIG_FEATURE_PATH_TRAVERSAL_PROTECTION=y
  * enable chattr and lsattr applets (Closes: #1119539)
  * udeb: install all links in /usr/, do not touch /bin & /sbin

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Oct 2025 12:47:09 +0300

busybox (1:1.37.0-6) unstable; urgency=medium

  * udeb config: remove wget applet
    (wget-udeb is used for this for many years) (Closes: #1107392)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Jun 2025 00:34:24 +0300

busybox (1:1.37.0-5) unstable; urgency=medium

  * d/control: switch from Static-Built-Using back to Built-Using
    (Closes: #1106796)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 May 2025 20:03:19 +0300

busybox (1:1.37.0-4ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:37:51 +0100

busybox (1:1.37.0-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090999). Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
  * Patches merged upstream, dropping:
    - CVE-2023-42364.patch
    - CVE-2022-48174.patch
    - CVE-2023-42363.patch
    - fix-awk-assignment-precedence.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 05 Dec 2024 17:59:07 +0100

busybox (1:1.37.0-4) unstable; urgency=medium

  * d/control: use Static-Built-Using for busybox-static, not Built-Using
  * fix-od-and-hexdump-tests-on-big-endian-hosts.patch: v2
    (implement it a bit differently, fix bug in v1)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 14:30:47 +0300

busybox (1:1.37.0-3) unstable; urgency=medium

  * d/patches: +fix-od-and-hexdump-tests-on-big-endian-hosts.patch
    to fix tests failure on big-endian hosts

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 13:35:45 +0300

busybox (1:1.37.0-2) unstable; urgency=medium

  * libbb-sha-add-missing-sha-NI-guard.patch - fix ftbfs on !x86

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 11:09:29 +0300

busybox (1:1.37.0-1) unstable; urgency=medium

  * new upstream release 1.37.0
    Closes: CVE-2021-42380 (awk use-after-realloc)
    Cloese: CVE-2023-42363 (awk use-after-free)
  * d/patches/: refresh platform-linux.diff and version.patch
  * d/patches/: remove:
    - install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch
    - syslogd-daemonize-after-init-make-errs-visible.patch
    - syslogd-decrease-stack-usage-50-bytes.patch
    - syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
  * d/config/pkg/*: update configs:
    - enable time64
    - enable find exec-ok for regular and static builds
    - enable getfattr for regular and static builds
    - enable ip-link-can for regular and static builds
    - enable feature udhcpd bootp

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 10:20:49 +0300

busybox (1:1.36.1-9ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2074188). Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).
    - SECURITY UPDATE: stack overflow in ash
      - debian/patches/CVE-2022-48174.patch: error out on number followed by
        another number or variable name in shell/math.c.
      - CVE-2022-48174
    - SECURITY UPDATE: use after free in awk
      - debian/patches/CVE-2023-42364.patch: fix precedence of = relative to ==
        in editors/awk.c.
      - debian/patches/fix-awk-assignment-precedence.patch: restore assignment
        precedence to be lower than ternary ?: in editors/awk.c.
      - CVE-2023-42364, CVE-2023-42365
    - SECURITY UPDATE: use after free in awk
      - debian/patches/CVE-2023-42363.patch: get L.s after R.v is evaluated in
        editors/awk.c.
      - CVE-2023-42363
  * Dropped changes:
      - Drop d/p/reverse-cbq.patch: Re-instate defines from removed kernel headers

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 15 Aug 2024 14:29:03 +0200

busybox (1:1.36.1-9) unstable; urgency=medium

  * platform-linux.diff: udhcpc6 also depends on PLATFORM_LINUX
    (fixes ftbfs on hurd)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:51:14 +0300

busybox (1:1.36.1-8) unstable; urgency=medium

  * busybox-1.36.1-no-cbq.patch to disable CBQ which is dropped
    from kernel in 6.8 (Closes: #1071648)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:03:13 +0300

busybox (1:1.36.1-7) unstable; urgency=medium

  * udeb: remove all modutils (kmod-udeb provides better alternatives)
    (Closes: #1060134)
  * deb, static, udeb: provide install applet (Closes: #1069864)
  * udhcpc/default.script: recognize $search dhcp parameter too,
    in addition to $domain (and simplify these parts a bit)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 16 May 2024 21:49:03 +0300

busybox (1:1.36.1-6ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: stack overflow in ash
    - debian/patches/CVE-2022-48174.patch: error out on number followed by
      another number or variable name in shell/math.c.
    - CVE-2022-48174
  * SECURITY UPDATE: use after free in awk
    - debian/patches/CVE-2023-42364.patch: fix precedence of = relative to ==
      in editors/awk.c.
    - debian/patches/fix-awk-assignment-precedence.patch: restore assignment
      precedence to be lower than ternary ?: in editors/awk.c.
    - CVE-2023-42364, CVE-2023-42365
  * SECURITY UPDATE: use after free in awk
    - debian/patches/CVE-2023-42363.patch: get L.s after R.v is evaluated in
      editors/awk.c.
    - CVE-2023-42363

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 13 Aug 2024 10:44:44 -0300

busybox (1:1.36.1-6ubuntu3) noble; urgency=medium

  * d/p/reverse-cbq.patch: Re-instate defines from removed kernel headers
    (LP: #2062414)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 19 Apr 2024 10:16:16 +0200

busybox (1:1.36.1-6ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:55:04 +0200

busybox (1:1.36.1-6ubuntu1) noble; urgency=medium

  * Remove some documentation from the busybox-static package.
  * Merge with Debian unstable. Remaining changes:
    - Add busybox-initramfs binary package and initramfs flavour:
      - Add dirname from coreutils to the initramfs
      - Enable the new klibc utility implementations, nuke and run-init
        in the initramfs package; and also enable reboot.  Doesn't yet make
        klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
        - but it moves us much closer and should save a little bit of disk
        space.
      - Enable TLS in initramfs flavour of wget applet, requires openssl
      - debian/config/pkg/initramfs: Enable the date applet with the same
        options as the other variants for use in fixrtc and casper scripts.
      - Prefer busybox cmds over klibc cmds where there is duplication.
      - Move zz-busybox to busybox-initramfs to ensure we get links to all
        the tools we need, stop shipping it anywhere else.
      - d/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
        Copy certs and openssl config for the casper+busybox-initramfs case.
      - Add Ubuntu configuration for busybox binaries.
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - d/config/pkg/{deb,static}: Enable chpasswd (needed by LXC).

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 12 Dec 2023 13:42:48 -0700

busybox (1:1.36.1-6) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/rules: override-dh_installsystemd: s/-indep//
  * d/busybox-syslogd.{service,init}: umask 026, not 024
  * adjust paths to busybox binary after move
    /bin/busybox => /usr/bin/busybox
  * Upload to unstable.

  [ Chris Boot ]
  * Update binary path in lintian overrides.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Nov 2023 15:32:46 +0300

busybox (1:1.36.1-6~exp.1) experimental; urgency=medium

  * Coordinated move of binaries into /usr.
  * Upload to experimental.

 -- Chris Boot <bootc@debian.org>  Thu, 23 Nov 2023 12:35:38 +0000

busybox (1:1.36.1-5) unstable; urgency=medium

  * config:
   - deb: turn off embedded scripts (not used anyway)
   - deb: enable minimal dpkg (the same as in static config) (+lintian tag)
   - deb: enable passwd, su, sulogin (the same as in static config)
   - deb: enable ed (the same as in static config)
   - deb: enable cron & crontab (the same as in static config)
   - deb: enable tunctl (the same as in static config)
   - deb: set ifupdown udhcpc options to -R -n (the same as in static config)
   - deb: enable tc (traffic control) applet, the same as in static build
   - deb: enable ifupdown options like of static build
   - static: enable tftp progress bar (the same as in deb config)
   At this point, deb&static configs are almost the same, with the differences:
    - static (&libgcc), prefer_applets, standalone_shell, bb_passwd & bb_shadow
    - deb has no blkid (#1023501) and no telnetd (#881626)
   - deb,static: disable unusual ipneigh applet (but keep ip neigh)
   - deb,static,udeb: enable udhcpc6 (#1036446)
   - deb,static: enable wget timeout (-T) option
  * spelling.diff: forward upstream
  * d/*.lintian-overrides: +spelling-error-in-binary iif if [bin/busybox]
    (this is Input InterFace)
  * added udhcpd.service
  * update tags for debian/patches/syslogd-option_mask32.patch
  * busybox-syslogd*.service: update Documentation: settings
  * make busybox-syslogd socket-activated to work correctly under systemd
    (syslogd-make-it-optionally-systemd-socket-activated.patch,
    busybox-syslogd.service changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Nov 2023 19:53:06 +0300

busybox (1:1.36.1-4) unstable; urgency=medium

  * Revert "Revert recent changes that have broken syslogd in d-i."
    Thank you Steve, others for the good work and patience!
  * syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
    (use upstream patch instead of syslogd-avoid-nulling-devlog.patch.
    it looks like upstream rewrites patch authorship with their own)
  * syslogd-option_mask32.patch (Actually fixes #1039710 with remote logging)
  * syslogd: make logfiles owned by root:adm mode 0640
  * syslog.conf: match current rsyslog.conf
  * install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 13 Nov 2023 12:12:27 +0300

busybox (1:1.36.1-3.1) unstable; urgency=medium

  * NMU
  * Revert recent changes that have broken syslogd in d-i.
    Closes: #1039710

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 21:22:44 +0100

busybox (1:1.36.1-3ubuntu1) mantic; urgency=medium

  * Refresh d/config/pkg/initramfs for new upstream version.  New values based
    on 'deb' config.
  * Drop delta to the udeb config
  * Merge from Debian unstable. Remaining changes:
    - test-bin.patch: Move test and friends to /bin.
    - static-sh-alias.patch: Add static-sh alias name for ash, and install
      /bin/static-sh symlink to busybox in busybox-static.
    - Add busybox-initramfs.
    - debian/config/pkg/deb
      debian/config/pkg/static:
      Enable chpasswd in standard and static builds (needed by LXC).
    - Move zz-busybox to busybox-initramfs to ensure we get links to all
      the tools we need, stop shipping it anywhere else.
    - Prefer busybox commands over klibc commands where there is duplication.
    - Add Ubuntu configuration for busybox binaries.
    - Enable the new klibc utility implementations, nuke and run-init
      in the initramfs package; and also enable reboot.  Doesn't yet make
      klibc-utils irrelevant - we still use ipconfig, fstype, and nfsmount
      - but it moves us much closer and should save a little bit of disk
      space.
    - debian/config/pkg/initramfs: Enable the date applet with the same
      options as the other variants for use in fixrtc and casper scripts.
    - debian/config/pkg/initramfs
      debian/tree/busybox/usr/share/initramfs-tools/hooks/zz-busybox:
      Enable TLS in initramfs flavour of wget applet, requires openssl
    - Add dirname from coreutils to the initramfs

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 05 Jul 2023 18:03:13 -0600

busybox (1:1.36.1-3) unstable; urgency=medium

  * syslogd-avoid-nulling-devlog.patch - fix overriding dev/log
    socket with dev/null in previous (upstream) patch.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 00:01:54 +0300

busybox (1:1.36.1-2) unstable; urgency=medium

  * replace syslog init patch with better version from upstream:
    syslogd-decrease-stack-usage-50-bytes.patch (prep)
    syslogd-daemonize-after-init-make-errs-visible.patch
  * platform-linux.diff: nbd is also linux-only
  * udhcpd: remove obsolete copy of udhcpd.conf,
    use one from examples/udhcp/udhcpd.conf
  * remove "remaining" parameter from udhcpd.conf.5 (Closes: #891757)
  * d/*.lintian-overrides: add #!/bin/busybox overrides for the init scripts

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 14 Jun 2023 23:10:23 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog busybox-static`.
